Delen via


Notification Channels - List

Meldingskanalen weergeven in een bepaald lab.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15&$expand={$expand}&$filter={$filter}&$top={$top}&$orderby={$orderby}

URI-parameters

Name In Vereist Type Description
labName
path True

string

De naam van het lab.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

$expand
query

string

Geef de $expand-query op. Voorbeeld: 'properties($select=webHookUrl)'

$filter
query

string

Het filter dat moet worden toegepast op de bewerking. Voorbeeld: '$filter=contains(name,'myName')

$orderby
query

string

De volgorde-expressie voor de resultaten met behulp van OData-notatie. Voorbeeld: '$orderby=name desc'

$top
query

integer (int32)

Het maximum aantal resources dat moet worden geretourneerd door de bewerking. Voorbeeld: '$top=10'

Antwoorden

Name Type Description
200 OK

NotificationChannelList

De Azure-bewerking is voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

NotificationChannels_List

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15

Voorbeeldrespons

{
  "value": [
    {
      "name": "autoshutdown",
      "type": "Microsoft.DevTestLab/labs/notificationChannels",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
      "location": "{location}",
      "properties": {
        "description": "Integration configured for auto-shutdown",
        "createdDate": "2021-01-05T02:12:10.6566371+00:00",
        "emailRecipient": "{email}",
        "events": [
          {
            "eventName": "AutoShutdown"
          }
        ],
        "notificationLocale": "en",
        "provisioningState": "Succeeded",
        "uniqueIdentifier": "{uniqueIdentifier}",
        "webHookUrl": "{webhookUrl}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    },
    {
      "name": "costThreshold",
      "type": "Microsoft.DevTestLab/labs/notificationChannels",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
      "location": "{location}",
      "properties": {
        "description": "Integration configured for cost",
        "createdDate": "2021-01-05T02:14:05.2392034+00:00",
        "events": [
          {
            "eventName": "Cost"
          }
        ],
        "notificationLocale": "en",
        "provisioningState": "Succeeded",
        "uniqueIdentifier": "{uniqueIdentifier}",
        "webHookUrl": "{webhookUrl}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    }
  ]
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

Event

Een gebeurtenis waarvoor een melding moet worden ingediend.

NotificationChannel

Een melding.

NotificationChannelEventType

Het gebeurtenistype waarvoor deze melding is ingeschakeld (bijvoorbeeld AutoShutdown, Kosten)

NotificationChannelList

Het antwoord van een lijstbewerking.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

Event

Een gebeurtenis waarvoor een melding moet worden ingediend.

Name Type Description
eventName

NotificationChannelEventType

Het gebeurtenistype waarvoor deze melding is ingeschakeld (bijvoorbeeld AutoShutdown, Kosten)

NotificationChannel

Een melding.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

De geografische locatie waar de resource zich bevindt

name

string

De naam van de resource

properties.createdDate

string (date-time)

De aanmaakdatum van het meldingskanaal.

properties.description

string

Beschrijving van de melding.

properties.emailRecipient

string

De e-mailontvanger waar meldingen naar worden verzonden (kan een lijst met door puntkomma's gescheiden e-mailadressen zijn).

properties.events

Event[]

De lijst met gebeurtenissen waarvoor deze melding is ingeschakeld.

properties.notificationLocale

string

De landinstelling die moet worden gebruikt bij het verzenden van een melding (terugval voor niet-ondersteunde talen is EN).

properties.provisioningState

string

De inrichtingsstatus van de resource.

properties.uniqueIdentifier

string

De unieke onveranderbare id van een resource (GUID).

properties.webHookUrl

string

De webhook-URL waarnaar u meldingen wilt verzenden.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

tags

object

Resourcetags.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

NotificationChannelEventType

Het gebeurtenistype waarvoor deze melding is ingeschakeld (bijvoorbeeld AutoShutdown, Kosten)

Waarde Description
AutoShutdown
Cost

NotificationChannelList

Het antwoord van een lijstbewerking.

Name Type Description
nextLink

string (uri)

De koppeling naar de volgende pagina met items

value

NotificationChannel[]

De NotificationChannel-items op deze pagina

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.